Bug 967697 - provides false perl(B::Uitls)
provides false perl(B::Uitls)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Module-Info (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 01:10 EDT by Robin Lee
Modified: 2014-11-06 08:18 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Module-Info-0.33-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-06 08:18:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2013-05-28 01:10:41 EDT
Description of problem:
This package include /usr/share/perl5/vendor_perl/B/BUtils.pm. But it doesn't follow common Perl practice. The packege this module file provdies is 'B::Utils' instead of 'B::BUtils'. Though B/BUtils.pm is a fork of B::Utils.

Then RPM's which requires perl(B::Utils) will break. Since yum/rpm may consider perl-Module-Info could fulfill the dependency. Program that 'use B::Utils' cannot find B/Utils.pm in perl-Module-Info.

Consider filter the perl(B::Utils) provides. Or link B/Utils.pm to B/BUtils.pm and make it conflict perl-B-Utils

Version-Release number of selected component (if applicable):
perl-Module-Info-0.32-6.fc18.noarch

How reproducible:
perl -mB::Utils
Comment 1 Fedora End Of Life 2013-09-16 10:02:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Petr Šabata 2014-11-06 08:18:20 EST
This was fixed by Paul in perl-Module-Info-0.33-1.fc19.

Note You need to log in before you can comment on or make changes to this bug.